- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/importCustomCase#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/importCustomCase#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/importCustomCase#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/importCustomCase#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/importCustomCase#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/importCustomCase#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/importCustomCase#body.aspect_1)

**Full name**: projects.locations.instances.legacyCases.importCustomCase

Imports a custom simulated case from a JSON package. This allows users to restore previously exported case simulation scenarios into their environment.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}/legacyCases:importCustomCase`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the LegacyCase to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/LegacyCases |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "cases": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyCaseInfo`) } ], "type": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CaseType`) } ``` |

| Fields ||
|---|---|
| `cases[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyCaseInfo`)`` Required. Cases is a list of case information items. |
| `type` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CaseType`)`` Optional. Type is the case type. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.legacyCases.importJson`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).